
Redmine - Defect #8514

Custom Password storing break pam_mysql

2011-06-03 14:34 - Daniel Varga

Status: Closed Start date: 2011-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.2.0

Description

With this version authentication against redmine's user db is not possible.

The hashed password is stored in the following form: SHA1(salt + SHA1(password))

This is from users.rb comment    

The pam_mysql's algorithm doesn't support salt and doesn't use the algorithm above to retrieve passwords.

Detailed forum post:

http://www.redmine.org/boards/2/topics/24383

Related issues:

Related to Redmine - Feature #7410: Add salt to user passwords Closed 2011-01-22

History

#1 - 2011-06-03 15:13 - Daniel Varga

This bug is typical to 1.2.0 not 1.1.3... sorry

#2 - 2020-12-08 09:32 - Go MAEDA

- Related to Feature #7410: Add salt to user passwords added

#3 - 2020-12-08 09:52 - Go MAEDA

- Category changed from Database to Third-party libraries

- Status changed from New to Closed

- Resolution set to Wont fix

- Affected version changed from 1.1.3 to 1.2.0

There is no way to decrypt salted password data. So, the only way to satisfy this request is for Pam_mysql to support Redmine.

Please consider using Redmine.pm
